## org.apache.batik.css.engine.sac
Class CSSAndCondition

    java.lang.Object
      org.apache.batik.css.engine.sac.AbstractCombinatorCondition
          org.apache.batik.css.engine.sac.CSSAndCondition

All Implemented Interfaces:
  CombinatorCondition, Condition, ExtendedCondition

public class CSSAndCondition
extends AbstractCombinatorCondition

This class provides an implementation of the `CombinatorCondition` interface.

Field Summary

Fields inherited from class org.apache.batik.css.engine.sac.AbstractCombinatorCondition
`firstCondition, secondCondition`

Fields inherited from interface org.w3c.css.sac.Condition
`SAC_AND_CONDITION, SAC_ATTRIBUTE_CONDITION, SAC_BEGIN_HYPHEN_ATTRIBUTE_CONDITION, SAC_CLASS_CONDITION, SAC_CONTENT_CONDITION, SAC_ID_CONDITION, SAC_LANG_CONDITION, SAC_NEGATIVE_CONDITION, SAC_ONE_OF_ATTRIBUTE_CONDITION, SAC_ONLY_CHILD_CONDITION, SAC_ONLY_TYPE_CONDITION, SAC_OR_CONDITION, SAC_POSITIONAL_CONDITION, SAC_PSEUDO_CLASS_CONDITION`

Constructor Summary
`CSSAndCondition(Condition c1, Condition c2)` Creates a new CombinatorCondition object.

Method Summary
`void` `fillAttributeSet(java.util.Set attrSet)` Fills the given set with the attribute names found in this selector.
`short` `getConditionType()` SAC: Implements `Condition.getConditionType()`.
`boolean` `match(org.w3c.dom.Element e, java.lang.String pseudoE)` Tests whether this condition matches the given element.
`java.lang.String` `toString()` Returns a text representation of this object.

Methods inherited from class org.apache.batik.css.engine.sac.AbstractCombinatorCondition
`equals, getFirstCondition, getSecondCondition, getSpecificity`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CSSAndCondition

    public CSSAndCondition(Condition c1,
                           Condition c2)

  Creates a new CombinatorCondition object.

Method Detail

### getConditionType

    public short getConditionType()

  SAC: Implements `Condition.getConditionType()`.

### match

    public boolean match(org.w3c.dom.Element e,
                         java.lang.String pseudoE)

  Tests whether this condition matches the given element.

### fillAttributeSet

    public void fillAttributeSet(java.util.Set attrSet)

  Fills the given set with the attribute names found in this selector.

### toString

    public java.lang.String toString()

  Returns a text representation of this object.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.